// 用户相关
import { request } from "@/lib/service"
import { baseUrl } from '@/config' // 将请求的baseUrl写这里，为了开发时调试请求地址
const RSA = require('@/utils/wx_rsa.js')
import { publicKey } from '@/config/index.js'
/**
 * @desc 检查登录态
 */
export function checkLogin() {
	return request({
		url: `${baseUrl}/wxxcx/getFwqTime.htm`,
		method: 'post'
	})
}

/**
 * @desc 静默登录
 * @param { Number } userPhone
 * @param { String } time
 */
export function slelentLogin(userPhone, time) {
	console.log(userPhone, time)
	const encrypt_rsa = RSA.KEYUTIL.getKey(publicKey)
	return request({
		url: `${baseUrl}/wxxcx/silentLogin.htm`,
		method: 'post',
		data: {
			un: RSA.hex2b64(encrypt_rsa.encrypt(userPhone)),
			tm: RSA.hex2b64(encrypt_rsa.encrypt(time))
		}
	})
}

/**
 * @desc 登录
 */
export function login() {
	return request({
		url: `${baseUrl}/a`
	})
}

/**
 * @desc 注册
 */
export function register() {
	return request({
		url:`${baseUrl}/a`
	})
}

/**
 * @desc 获取手机验证码
 */
export function smsCode() {
	return request({
		url:`${baseUrl}/a`
	})
}