import { getStorage, setStorage, removeStorage } from '@/lib/storage'
// import store from '@/store/index.js'

const state = {
	token: '111',
	isOverdue: false, // 服务是否过期
	userInfo: null,
	location: {}
}

const mutations = {
	SETTOKEN(state, token){
		state.token = token
	},
	SETUSERINFO(state, userInfo){
		state.userInfo = userInfo
	},
	LOGOUT(state){
		state.token = ''
		state.userInfo = ''
	}
}

const actions = {
	setToken: ({commit}, token) => {
		commit('SETTOKEN', token)
		setStorage('token',token)
	},
	setLocation: async ({state}) => {
		uni.getLocation({
			type: 'gcj02',
			success: res => {
				state.location.longitude =  res.longitude || null
				state.location.latitude = res.latitude || null
			}
		})
	},
	setUserInfo: ({commit}, userInfo) => {
		commit('SETUSERINFO', userInfo)
		setStorage('userInfo',userInfo)
	},
	logout: ({commit})=>{
		commit('LOGOUT')
		removeStorage('token')
		removeStorage('userInfo')
	}
}

export default {
    namespaced: true, 
    state,
	mutations,
	actions
}